Subject: Re: Bug#1104171: unblock: node-jquery-slimscroll/1.3.8-2

From: Pirate Praveen <[email-masked]>
Date: Thu, 1 May 2025 20:11:52 +0530

Control: tags -1 -moreinfo

On 5/1/25 5:41 PM, Paul Gevers wrote:
> Control: tags -1 moreinfo
> 
> Please remove the moreinfo tag when answering the questions.
> 
> On 26-04-2025 18:15, Pirate Praveen wrote:
>> This was originally shipped with ruby-rails-assets-jquery.slimscroll, 
>> but was
>> removed from testing 2025-01-29 to help ruby 3.3 transition. Now the 
>> ruby part
>> is removed from the archive, and javascript part was separated into a 
>> different
>> source package.
> 
> 
> Do I understand correctly that the binary node-jquery-slimscroll 
> basically is the same (minus version delta's maybe) as libjs-jquery- 
> slimscroll in stable (as the new package does provide the latter)?

The contents are the same, though it is available in two directories now 
via symbolic links,

1. under /usr/share/nodejs and
2. under /usr/share/javascript (earlier it was only available in this 
directory).

So additionally it can be discovered as a nodejs module as well (with an 
additional package.json that provides metadata for node modules) in 
addition to a browser js library as before.

> Paul